# -*- coding: utf-8 -*-
"""
Created on Thu Dec  7 10:50:09 2017

@author: lu
"""

import time
import csv
import matplotlib.pyplot as plt

#读取的csv文件    
fileName = '180202_201159 TSI.csv'

#绘图所需数据
xtime = []
yvalue = []

#获取TSI传感器数据
with open(fileName, 'r') as csvfile:
    spamreader = csv.reader(csvfile)
    for row in spamreader:
        #获取时间轴数据,根据csv时间格式
        xtimestamp = time.mktime(time.strptime(row[0],"%y%m%d_%H:%M:%S"))
        #获取PM2.5相关参数
        if(row[2].isdigit()):
            xtime.append(xtimestamp) 
            yvalue.append(row[2])
        else:
            print("Wrong type: " + str(row))

#对X轴时间进行归一化
deta = int(xtime[0])
for j in range(len(xtime)):
    xtime[j] = int(xtime[j])-deta
    yvalue[j] = int(yvalue[j])
    
#X和Y坐标信息
plt.xlabel("Time(s)")
plt.ylabel("Ug(TSI_PM2.5)")  
    
#绘制曲线
plt.plot(xtime,yvalue,label='TSI_PM2.5',linewidth=2)  

plt.legend()
plt.show() 
